<?php
/**
 * Twenty Fourteen support.
 *
 * @class   KKART_Twenty_Fourteen
 * @since   3.3.0
 * @package Kkart\Classes
 */

defined( 'ABSPATH' ) || exit;

/**
 * KKART_Twenty_Fourteen class.
 */
class KKART_Twenty_Fourteen {

	/**
	 * Theme init.
	 */
	public static function init() {
		// Remove default wrappers.
		remove_action( 'kkart_before_main_content', 'kkart_output_content_wrapper' );
		remove_action( 'kkart_after_main_content', 'kkart_output_content_wrapper_end' );

		// Add custom wrappers.
		add_action( 'kkart_before_main_content', array( __CLASS__, 'output_content_wrapper' ) );
		add_action( 'kkart_after_main_content', array( __CLASS__, 'output_content_wrapper_end' ) );

		// Declare theme support for features.
		add_theme_support( 'kkart-product-gallery-zoom' );
		add_theme_support( 'kkart-product-gallery-lightbox' );
		add_theme_support( 'kkart-product-gallery-slider' );
		add_theme_support(
			'kkart',
			array(
				'thumbnail_image_width' => 150,
				'single_image_width'    => 300,
			)
		);
	}

	/**
	 * Open wrappers.
	 */
	public static function output_content_wrapper() {
		echo '<div id="primary" class="content-area"><div id="content" role="main" class="site-content twentyfourteen"><div class="tfwc">';
	}

	/**
	 * Close wrappers.
	 */
	public static function output_content_wrapper_end() {
		echo '</div></div></div>';
		get_sidebar( 'content' );
	}
}

KKART_Twenty_Fourteen::init();
